Bug 239774 - [NEW PORT] audio/playumidi Standard MIDI format 0/1 player for FreeBSD USB-MIDI(umidi) device
Summary: [NEW PORT] audio/playumidi Standard MIDI format 0/1 player for FreeBSD USB-MI...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-11 04:30 UTC by Koine Yuusuke
Modified: 2020-04-27 22:21 UTC (History)
2 users (show)

See Also:


Attachments
[NEW PORT] audio/playumidi (3.25 KB, text/plain)
2019-08-11 04:30 UTC, Koine Yuusuke
no flags Details
[NEW PORT] audio/playumidi (3.23 KB, text/plain)
2020-04-26 12:38 UTC, Koine Yuusuke
no flags Details
[NEW PORT] audio/playumidi (3.24 KB, text/plain)
2020-04-27 13:06 UTC, Koine Yuusuke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koine Yuusuke 2019-08-11 04:30:32 UTC
Created attachment 206436 [details]
[NEW PORT] audio/playumidi

[NEW PORT] audio/playumidi

Since the USB MIDI player software has been developed, I would like to import it into the Ports Tree if possible.
Please let me know if there is anything wrong, since this is my first Bugzilla post.
 
-------
"playumidi" is the "SIMPLE" MIDI file player for USB MIDI device on FreeBSD.
This software is able to direct control for FreeBSD-umidi device(/dev/umidi*.*) in the "uaudio" driver.
And, Support for auto-judge MIDI-file XG/GS/GM mode & auto add the Tone-Generator ReSet code when the ReSet code isn't exist in a MIDI-file.
 WWW: https://osdn.net/projects/playumidi/

- Koine Yuusuke (koinec)
  koinec@users.osdn.me
Comment 1 daniel.engberg.lists 2020-04-25 20:30:23 UTC
Hi, 

Remove fetch-depends, do-fetch and replace MASTERSITES URL with "OSDN/playumidi/71406" (without quotes)

Remove post-install section

Don't use tabs after ${INSTALL in do-install section

Usage of tabs for variables are inconsistent, use one tab or two if needed so it's easier to read.
Examples:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-samplem.html
https://svnweb.freebsd.org/ports/head/net-p2p/qbittorrent/Makefile?revision=532923&view=markup

Once done, it compiles fine on 13-CURRENT, passes testport 12.1-RELEASE using poudriere and portlint.

Best regards,
Daniel
Comment 2 Koine Yuusuke 2020-04-26 12:38:15 UTC
Created attachment 213802 [details]
[NEW PORT] audio/playumidi
Comment 3 Koine Yuusuke 2020-04-26 12:39:07 UTC
Comment on attachment 213802 [details]
[NEW PORT] audio/playumidi

Thank you for teaching me.

I fixed all the following problems and confirmed that I could build on the FreeBSD 13-current.
And, I confirmed that portlint doesn't give any error.
  - remove fetch-depends & do-fetch (replace MASTERSITES)
  - remove post-install seciton.
  - Corrected usage fo tabs to make them easier to see.

I'm sorry, but please recheck.

- Koine Yuusuke (koinec)
  koinec@users.osdn.me
Comment 4 daniel.engberg.lists 2020-04-26 19:12:32 UTC
Hi,

Much better now, I did however notice that the archive includes a license file which you should have in your Makefile

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/licenses.html
LICENSE_FILE=	${WRKSRC}/LICENSE

While at it, minor style fix but you can also drop the # libiconv and debug lines. Your Makefile is so small so you can easily get a good overview of it even without those comments.

Apart from those changes it looks ready to be committed as far as I can tell.

Best regards,
Daniel
Comment 5 Koine Yuusuke 2020-04-27 13:06:23 UTC
Created attachment 213854 [details]
[NEW PORT] audio/playumidi

Thank you very much for telling me more.

I fixed the following items.
  - Append LICENSE_FILE line.
  - Remove unnecessary comments. ("# libiconv" & "# debug")

Of cource, I also confirmed that it can be built on FreeBSD 13-current and done portlint.
I think this is okay, but if there is something I still don't understand, please let me know.

- Koine Yuusuke (koinec)
  koinec@users.osdn.me
Comment 6 commit-hook freebsd_committer 2020-04-27 22:20:49 UTC
A commit references this bug:

Author: mandree
Date: Mon Apr 27 22:20:41 UTC 2020
New revision: 533206
URL: https://svnweb.freebsd.org/changeset/ports/533206

Log:
  NEW audio/playumidi: standard MIDI format 0/1 player for umidi devices

  "playumidi" is the "SIMPLE" MIDI file player for USB MIDI device on FreeBSD.
  This software is able to direct control for FreeBSD-umidi device(/dev/umidi*.*)
  in the "uaudio" driver.
  Therefore, You don't need to use the "/dev/sequencer" device or the other
  software when listening the MIDI-file music.
  And, Support for auto-judge MIDI-file XG/GS/GM mode & auto add the
  Tone-Generator ReSet code when the ReSet code isn't exist in a MIDI-file.

  WWW: https://ja.osdn.net/projects/playumidi/

  PR:		239774
  Submitted by:	Koine Yuusuke <koinec@yahoo.co.jp>

Changes:
  head/audio/Makefile
  head/audio/playumidi/
  head/audio/playumidi/Makefile
  head/audio/playumidi/distinfo
  head/audio/playumidi/pkg-descr
  head/audio/playumidi/pkg-message
Comment 7 Matthias Andree freebsd_committer 2020-04-27 22:21:46 UTC
Thank you very much for your contribution!